VERSION 5.00
Object = "{EEAD5A80-071C-11D4-9B4A-B41EC7D9301E}#1.0#0"; "ssSytemTray.ocx"
Begin VB.Form frmTest 
   BorderStyle     =   1  'Fixed Single
   Caption         =   "System Tray Tester"
   ClientHeight    =   825
   ClientLeft      =   45
   ClientTop       =   330
   ClientWidth     =   4680
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   ScaleHeight     =   825
   ScaleWidth      =   4680
   Begin ssSytemTray.SystemTray SystemTray1 
      Left            =   2160
      Top             =   120
      _ExtentX        =   847
      _ExtentY        =   847
      Caption         =   "SystemTray1"
      Icon            =   "frmTest.frx":0000
   End
   Begin VB.CheckBox chkVisible 
      Alignment       =   1  'Right Justify
      Caption         =   "&Visible"
      Height          =   375
      Left            =   120
      TabIndex        =   3
      Top             =   480
      Value           =   1  'Checked
      Width           =   975
   End
   Begin VB.CommandButton cmdUpdate 
      Caption         =   "&Update"
      Height          =   375
      Left            =   3360
      TabIndex        =   2
      Top             =   120
      Width           =   1215
   End
   Begin VB.TextBox txtCaption 
      Height          =   315
      Left            =   840
      MaxLength       =   255
      TabIndex        =   1
      Text            =   "System tray test app."
      Top             =   120
      Width           =   2415
   End
   Begin VB.Label Label1 
      Caption         =   "&Caption:"
      Height          =   255
      Left            =   120
      TabIndex        =   0
      Top             =   120
      Width           =   1215
   End
   Begin VB.Menu mnuPopUp 
      Caption         =   "PopUp"
      Visible         =   0   'False
      Begin VB.Menu mnuPopUp_Show 
         Caption         =   "&Hide"
      End
      Begin VB.Menu mnuPopUp_Close 
         Caption         =   "&Close"
      End
   End
End
Attribute VB_Name = "frmTest"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
'============================================
'=                                          =
'= System tray activex control tester form. =
'=                                          =
'= by Andrew Davey                          =
'= ad3635@cape.cornwall.sch.uk              =
'=                                          =
'= Feel free to use the code but I accept   =
'= no responsibility for it. :-)            =
'=                                          =
'============================================

' Note: You could also add code to change the icon.
'       Minimize the form to hide it (or use the menu).
Option Explicit

Private Sub chkVisible_Click()
    SystemTray1.Visible = chkVisible.Value * -1
End Sub

Private Sub cmdUpdate_Click()
    ' Chamnge the caption.
    SystemTray1.Caption = txtCaption.Text
End Sub

Private Sub Form_Load()
    SystemTray1.Caption = txtCaption.Text
End Sub

Private Sub Form_Resize()
    ' When the form is minimized we hide it.
    If Me.WindowState = vbMinimized Then
        Me.Hide
    Else
        Me.Show
    End If
End Sub

Private Sub mnuPopUp_Close_Click()
    ' Close the form.
    Unload Me
End Sub

Private Sub mnuPopUp_Show_Click()
    ' If normal view then minimize.
    ' If minimized then normal view.
    If Me.WindowState = vbNormal Then
        mnuPopUp_Show.Caption = "S&how"
        Me.WindowState = vbMinimized
    Else
        mnuPopUp_Show.Caption = "&Hide"
        Me.WindowState = vbNormal
        Me.Show
    End If
End Sub

Private Sub SystemTray1_RightClick()
    ' Show the pop-up menu.
    Me.PopupMenu mnuPopUp
End Sub
