Attribute VB_Name = "modSysTray"
Option Explicit

' The notify icon function.
Public Declare Function Shell_NotifyIcon Lib "shell32.dll" Alias "Shell_NotifyIconA" (ByVal dwMessage As Long, lpData As NOTIFYICONDATA) As Long

' Notify Icon Structure.
Public Type NOTIFYICONDATA
    cbSize As Long              ' Size of the structure.
    hwnd As Long                ' Window handle of form.
    uID As Long                 ' ID of out icon.
    uFlags As Long              ' Flags (see below).
    uCallbackMessage As Long    ' Message to send back.
    hIcon As Long               ' Icon handle
    szTip As String * 64        ' Tip to display.
End Type

' Notify Icon Message.
Public Const NIM_ADD = &H0
Public Const NIM_DELETE = &H2
Public Const NIM_MODIFY = &H1

' Notify Icon Flags.
Public Const NIF_ICON = &H2
Public Const NIF_MESSAGE = &H1
Public Const NIF_TIP = &H4

' Window mouse messages.
Public Const WM_LBUTTONDBLCLK = &H203
Public Const WM_LBUTTONUP = &H202
Public Const WM_RBUTTONUP = &H205
Public Const WM_MOUSEMOVE = &H200

